How to fuse planar faces?

Hi,

How is it possible to join connected two planar TopoDS_Face-s to one TopoDS_Face?

Best regards,
Adrian

a-helcman's picture

Hi,

I tried to make a fusion by means of BRepAlgo_Fuse and BRepAlgoAPI_Fuse, but just BRepAlgo_Fuse worked well. What is a main difference between BRepAlgo_Fuse & BRepAlgoAPI_Fuse?

Best regards,
Adrian

//======= TESTING CODE ========================
BRepBuilderAPI_MakePolygon o_mp1;

o_mp1.Add (gp_Pnt(0, 0, 0));
o_mp1.Add (gp_Pnt(80, 0, 0));
o_mp1.Add (gp_Pnt(80, 60, 0));
o_mp1.Add (gp_Pnt(0, 60, 0));

o_mp1.Close();

TopoDS_Face o_f1 = BRepBuilderAPI_MakeFace (o_mp1.Wire());

BRepBuilderAPI_MakePolygon o_mp2;

o_mp2.Add (gp_Pnt(80, 20, 0));
o_mp2.Add (gp_Pnt(100, 20, 0));
o_mp2.Add (gp_Pnt(100, 40, 0));
o_mp2.Add (gp_Pnt(80, 40, 0));

o_mp2.Close();

TopoDS_Face o_f2 = BRepBuilderAPI_MakeFace (o_mp2.Wire());

//======= WORKS: ==========================
BRepAlgo_Fuse o_fuse_operation(o_f1, o_f2);
//=========================================

//======= DOESN'T WORK =======================
BRepAlgoAPI_Fuse o_fuse_operation(o_f1, o_f2);
//============================================

Patrik Mueller's picture

Hi Adrian,

from OCC5 release notes: "Contents of BRepAlgoAPI.hxx have been moved to BRepAlgo.hxx...."
Perhaps they also modified some code for using the BOP routines?

Regards,

Patrik